package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(member_fee_setting):
 */
public class MemberFeeSetting {

	/**  */
	private Integer id;
	
	/**  */
	private java.math.BigDecimal currentDayFee;
	
	/**  */
	private java.math.BigDecimal originalDayFee;
	
	/**  */
	private java.math.BigDecimal currentMonthFee;
	
	/**  */
	private java.math.BigDecimal originalMonthFee;
	
	/**  */
	private java.math.BigDecimal currentHalfYearFee;
	
	/**  */
	private java.math.BigDecimal originalHalfYearFee;
	
	/**  */
	private java.math.BigDecimal currentYearFee;
	
	/**  */
	private java.math.BigDecimal originalYearFee;
	
	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setCurrentDayFee(java.math.BigDecimal currentDayFee){
		this.currentDayFee = currentDayFee;
	}
	
	public java.math.BigDecimal getCurrentDayFee(){
		return this.currentDayFee;
	}
			
	public void setOriginalDayFee(java.math.BigDecimal originalDayFee){
		this.originalDayFee = originalDayFee;
	}
	
	public java.math.BigDecimal getOriginalDayFee(){
		return this.originalDayFee;
	}
			
	public void setCurrentMonthFee(java.math.BigDecimal currentMonthFee){
		this.currentMonthFee = currentMonthFee;
	}
	
	public java.math.BigDecimal getCurrentMonthFee(){
		return this.currentMonthFee;
	}
			
	public void setOriginalMonthFee(java.math.BigDecimal originalMonthFee){
		this.originalMonthFee = originalMonthFee;
	}
	
	public java.math.BigDecimal getOriginalMonthFee(){
		return this.originalMonthFee;
	}
			
	public void setCurrentHalfYearFee(java.math.BigDecimal currentHalfYearFee){
		this.currentHalfYearFee = currentHalfYearFee;
	}
	
	public java.math.BigDecimal getCurrentHalfYearFee(){
		return this.currentHalfYearFee;
	}
			
	public void setOriginalHalfYearFee(java.math.BigDecimal originalHalfYearFee){
		this.originalHalfYearFee = originalHalfYearFee;
	}
	
	public java.math.BigDecimal getOriginalHalfYearFee(){
		return this.originalHalfYearFee;
	}
			
	public void setCurrentYearFee(java.math.BigDecimal currentYearFee){
		this.currentYearFee = currentYearFee;
	}
	
	public java.math.BigDecimal getCurrentYearFee(){
		return this.currentYearFee;
	}
			
	public void setOriginalYearFee(java.math.BigDecimal originalYearFee){
		this.originalYearFee = originalYearFee;
	}
	
	public java.math.BigDecimal getOriginalYearFee(){
		return this.originalYearFee;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
